import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional()
}).strict();
export const AiSettingsSumOrderByAggregateInputObjectSchema: z.ZodType<Prisma.AiSettingsSumOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.AiSettingsSumOrderByAggregateInput>;
export const AiSettingsSumOrderByAggregateInputObjectZodSchema = makeSchema();
